package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.PageInfo;

import java.math.BigDecimal;

public class PageInfoOrder<T> extends PageInfo<T> {

    private BigDecimal totalExpectAmount =BigDecimal.ZERO;
    private BigDecimal totalActualAmount =BigDecimal.ZERO;
    private BigDecimal totalAdvanceAmount = BigDecimal.ZERO;
    private BigDecimal totalRevenueAmount = BigDecimal.ZERO;
    private BigDecimal totalUserBalance = BigDecimal.ZERO;

    public PageInfoOrder() {
    }

    public PageInfoOrder(Integer pageNo) {
        super(pageNo);
    }

    public PageInfoOrder(Integer pageNo, int pageSize) {
        super(pageNo, pageSize);
    }

    public BigDecimal getTotalExpectAmount() {
        return totalExpectAmount;
    }

    public void setTotalExpectAmount(BigDecimal totalExpectAmount) {
        this.totalExpectAmount = totalExpectAmount;
    }

    public BigDecimal getTotalActualAmount() {
        return totalActualAmount;
    }

    public void setTotalActualAmount(BigDecimal totalActualAmount) {
        this.totalActualAmount = totalActualAmount;
    }

    public BigDecimal getTotalAdvanceAmount() {
        return totalAdvanceAmount;
    }

    public void setTotalAdvanceAmount(BigDecimal totalAdvanceAmount) {
        this.totalAdvanceAmount = totalAdvanceAmount;
    }

    public BigDecimal getTotalRevenueAmount() {
        return totalRevenueAmount;
    }

    public void setTotalRevenueAmount(BigDecimal totalRevenueAmount) {
        this.totalRevenueAmount = totalRevenueAmount;
    }

    public BigDecimal getTotalUserBalance() {
        return totalUserBalance;
    }

    public void setTotalUserBalance(BigDecimal totalUserBalance) {
        this.totalUserBalance = totalUserBalance;
    }
}
